Skip to content

Get Run State

GET /runs/{run_id}/state

The graph’s own view: which node is next, how many visits, what it is waiting for.

NameInTypeNotes
run_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseRunStateView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/runs/{run_id}/state \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
run_idstring (uuid)required—
statusqueued | running | suspended | succeeded | failed | timed_out | cancelledrequired—
thread_idstringrequired—
nodestring | nulloptional—
visitsintegeroptionalDefault 0.
taskstringoptionalDefault "".
internal_contextobjectoptional—
resultobject | nulloptional—
suspensionRunSuspensionView | nulloptional—